Subject: Macs which may not like IP Multicast in the background

From: [email-masked]
Date: Tue, 16 Apr 1996 17:10:50 -0700 (PDT)

I have been advised recently of a problem on one of our IP multicast
enabled subnets wherein a Mac Centris seems to slow down drastically 
when IP multicast traffic, e.g. mbone, is going on on the same ethernet.
I am wondering if this is a common problem, if there is an FAQ or
other resource which describes this problem, and, if there is a 
cure other than divorcing the Mac and the multicast traffic.

-Hugh LaMaster

  Hugh LaMaster, M/S 233-18,    Email:       Please send ASCII documents to:
  NASA Ames Research Center     Internet:    [email-masked]
  Moffett Field, CA 94035-1000  Or:          [email-masked] 
  Phone:  415/604-1056          Disclaimer:  Unofficial, personal *opinion*.

---

From: Petri Helenius <[email-masked]>
Date: Wed, 17 Apr 1996 06:14:31 +0300

> cure other than divorcing the Mac and the multicast traffic.
I'm not too confident on Mac's specially but there is a set of devices
that for various reasons cannot distinguish broadcasts and multicasts
on the hardware level. Because of this their CPUs are forced to look
to every packet which is bad performance-wise. There are a couple of
other devices suffering from this also.

Pete

---

From: Jack Jansen <[email-masked]>
Date: Wed, 17 Apr 1996 22:45:42 +0200

> when IP multicast traffic, e.g. mbone, is going on on the same ethernet.

Hugh, please tell me more if you hear it. My 9500 has inexpicably
dropped it's local ethernet transfer rate from around 500Kbps to
around 100Kbps, and I re-enabled multicast around that same time...
--
Jack Jansen             | ++++ stop the execution of Mumia Abu-Jamal ++++
[email-masked]      | ++++ if you agree copy these lines to your sig ++++
http://www.cwi.nl/~jack | see http://www.xs4all.nl/~tank/spg-l/sigaction.htm

---

From: Geert Jan de Groot <[email-masked]>
Date: Thu, 18 Apr 1996 00:37:55 +0200

> around 100Kbps, and I re-enabled multicast around that same time...

You may want to check for the mac generating ICMP error messages
in response to the multicast packets. The theory is that the 
ethernet interface lets the mcast traffic pass (some have a very
simplistic filter, such as 64-bit hash bucket), some don't have
filtering at all and pass all mcast traffic once mcast receive
is enabled, and the IP software recognizes the packet as 'mine'
finds the UDP socked unused and thus returns an ICMP port unreachable.

Possible approaches are:
- Upgrading the MAC software (last time I touched a mac, MacTCP 3.x
  was under development so chances are that newer code does this
  correctly)
- Splitting off the macs from the mcast ethernet segment
  (This may be a case where a 10baseT network comes in handy ;-)

Geert Jan